- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.dc.MemoryDC Class Reference

The smjg.libs.sdwf.dc.MemoryDC class represents a memory device context, typically used for transferring bitmaps. More...

Inheritance diagram for smjg.libs.sdwf.dc.MemoryDC:

List of all members.

## Public Member Functions
| this (DC comp)
| Constructs a MemoryDC.
| this (DC comp, Bitmap b)
| Constructs a MemoryDC with a bitmap pre-selected into it.
Bitmap | bitmap ()
| The bitmap selected into this MemoryDC.
Bitmap | bitmap (Bitmap b)
| The font selected into the DC for text operations.
Rect | wholeBitmap ()
| A rectangle representing the size of the bitmap selected into this DC.
deprecated void | select (Bitmap b)
| Selects a bitmap into this MemoryDC.
| ~this ()

## Detailed Description

The smjg.libs.sdwf.dc.MemoryDC class represents a memory device context, typically used for transferring bitmaps.

## Constructor & Destructor Documentation

smjg.libs.sdwf.dc.MemoryDC.this | ( | DC | comp | ) |

Constructs a MemoryDC.

Parameters:

  | comp | a DC with which this one is to be compatible.

smjg.libs.sdwf.dc.MemoryDC.this | ( | DC | comp,
|  | Bitmap | b |
| ) |  |  |

Constructs a MemoryDC with a bitmap pre-selected into it.

Parameters:

  | comp | a DC with which this one is to be compatible.
  | b | a bitmap to be initially selected into this DC.

smjg.libs.sdwf.dc.MemoryDC.~this | ( |  | ) |

## Member Function Documentation

Bitmap smjg.libs.sdwf.dc.MemoryDC.bitmap | ( |  | ) |

The bitmap selected into this MemoryDC.

Since:
  0.5

Status:
  test

Bitmap smjg.libs.sdwf.dc.MemoryDC.bitmap | ( | Bitmap | b | ) |

The font selected into the DC for text operations.

Since:
  0.5

Status:
  done

Rect smjg.libs.sdwf.dc.MemoryDC.wholeBitmap | ( |  | ) |

A rectangle representing the size of the bitmap selected into this DC.

Returns:
  a rectangle of the bitmap's dimensions, with the left and top values set to zero.

deprecated void smjg.libs.sdwf.dc.MemoryDC.select | ( | Bitmap | b | ) |

Selects a bitmap into this MemoryDC.

Parameters:

  | b | the bitmap to select.

Deprecated:
  Superseded by MemoryDC.bitmap.

The documentation for this class was generated from the following file:

- dc.d